SDL_GetGamepadMappingForID(3)

NAME
SDL_GetGamepadMappingForID - Get the mapping of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_GetGamepadMappingForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the mapping string. Returns NULL if no mapping is available. This should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepads(3), •(3), SDL_GetGamepadMapping(3)